ru.bitel.bgbilling.modules.vod.server.bean

## Class VoDServiceActivator.ServiceActivationResult

- java.lang.Object
- - ru.bitel.bgbilling.modules.vod.server.bean.VoDServiceActivator.ServiceActivationResult

- Enclosing class:
    VoDServiceActivator

      public static class VoDServiceActivator.ServiceActivationResult
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static VoDServiceActivator.ServiceActivationResult` | `RESULT_OK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceActivationResult(boolean result, int resultCode, java.lang.String message)`
    `ServiceActivationResult(boolean result, int resultCode, java.lang.String message, java.lang.Exception nestedException)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessage()`
    `java.lang.Exception` | `getNestedException()`
    `int` | `getResultCode()`
    `boolean` | `isResult()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RESULT_OK

          public static final VoDServiceActivator.ServiceActivationResult RESULT_OK

  - ### Constructor Detail

    - #### ServiceActivationResult

          public ServiceActivationResult(boolean result,
                                         int resultCode,
                                         java.lang.String message)

    - #### ServiceActivationResult

          public ServiceActivationResult(boolean result,
                                         int resultCode,
                                         java.lang.String message,
                                         java.lang.Exception nestedException)

  - ### Method Detail

    - #### isResult

          public boolean isResult()

    - #### getMessage

          public java.lang.String getMessage()

    - #### getNestedException

          public java.lang.Exception getNestedException()

    - #### getResultCode

          public int getResultCode()